<?php 
/**
* The header for our theme.
*
* Displays all of the <head> section 
*
* @package thebis
*/
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
        <!--Shortcut icon-->

        <?php wp_head(); ?>
        <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
        <?php endif; ?>

        </head>

    <body <?php body_class(); ?>>
    <nav class="navbar navbar-default desktop-menu logo-left header-type-one">
            <div class="container-fluid navbar-inner">
                 <div class="navbar-logo">
                    <?php if (has_custom_logo()) : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <?php the_custom_logo(); ?>
                        </a>
                        <?php  
                            else : 
                             if (display_header_text()==true){ ?>
                             <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo-link d-flex align-items-center">
                                <h2 class="blogtitle">
                                <?php bloginfo( 'title' ); ?>
                                </h2>
                             </a>
                             <?php } endif; ?>
                 </div>
                 <div class="navbar-menu">
                    <?php wp_nav_menu( 
                            array(
                               'container'        => 'ul', 
                               'theme_location'    => 'primary', 
                               'menu_class'        => 'dropdown', 
                               'items_wrap'        => '<ul class="navbar-menu-list">%3$s</ul>',
                               'fallback_cb'       => 'thebis_wp_bootstrap_navwalker::fallback',
                                'walker'            => new thebis_wp_bootstrap_navwalker()
                            )
                            ); 
                             
                            $thebis_header_section = get_theme_mod('thebis_header_section_hideshow' ,'show');
                            if ($thebis_header_section =='show') { 
                            $thebis_ctah_btn_text = get_theme_mod('thebis_ctah_btn_text');
                            $thebis_ctah_btn_url=get_theme_mod('thebis_ctah_btn_url');
                        
                                    if (!empty($thebis_ctah_btn_url)) {
                              ?>
                    <div class="navbar-additional align-items-center">
                        <div class="qoute-btn">
                            <a href="<?php echo esc_url($thebis_ctah_btn_url); ?>"><?php echo esc_html($thebis_ctah_btn_text); ?></a>
                        </div>
                    </div>

                        <?php }
                                } ?>
                    <div class="navbar-search align-items-center justify-content-center">
                        <div class="search-input d-flex align-items-center justify-content-center">
                            <div class="search-icon">
                                <i class="fa fa-search"></i>
                            </div>
                            <div class="search-times">
                                <i class="fa fa-times"></i>
                            </div>
                        </div>
                        <form class="search-form" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <input type="text" name="s" placeholder="<?php echo esc_attr__('search here','thebis'); ?>">
                        </form>
                    </div>
                </div>
                     <button class="hamburger justify-content-center align-items-center hamburger--spin" type="button">
                        <span class="hamburger-box">
                            <span class="hamburger-inner"></span>
                        </span>
                    </button>
            </div>
            </div>
    </nav>